<?php
// Copyright 2013 borowicz.info

if (!defined("IN_ESOTALK")) exit;

/**
 *
 * Displays the shoutBox settings.
 *
 */

$form = $data["abShoutBoxSettingsForm"];
?>
<?php echo $form->open(); ?>

<div class="section">

<ul class="form">

<li>
<label><?php echo T('ShoutBox enable for'); ?></label>
<div class="checkboxGroup">
	<label class="radio"><?php echo $form->radio('enabled', 2, array('checked' => 'checked') ); echo T('members only'); ?></label>
	<label class="radio"><?php echo $form->radio('enabled', 1); echo T('view for all'); ?></label>
	<label class="radio"><?php echo $form->radio('enabled', 0); echo T('disabled'); ?></label>
</div>
</li>

<li>
<label><?php echo T('Title'); ?></label>
<?php echo $form->input('title', 'title', array('title' =>  T('title'), 'style' => 'width: 350px;' )); ?>
</li>

<li>
<label style="width: 300px;"><?php echo T('Refresh interval (miliseconds min 2000)</span>'); ?></label>
<?php echo $form->input('refresh', 'refresh', array('title' =>  T('in miliseconds (min. 1000, / 1 000 msec = 1 sec / default 2000)'), 'style' => 'width: 50px;' ) ); ?>
</li>

<li>
<label style="width: 300px;"><?php echo T('Entries to display (max. 50)'); ?></label>
<?php echo $form->input('entries', 'entries', array('title' =>  'display entries on load: min 10 / max: 50 / default 20', 'style' => 'width: 50px;') ); ?>
</li>

<li>
<label style="width: 300px;"><?php echo T('Entries to archive'); ?></label>
<?php echo $form->input('archive', 'archive', array('title' => '0 = all entries are stored in DB', 'style' => 'width: 50px;') ); ?>
</li>
<!--
<li>
<label><?php echo T('Moderation'); ?></label>
<div class="checkboxGroup">
	<label class="radio"><?php echo $form->radio('moderation', 1, array('checked' => 'checked') ); echo T('only admin'); ?></label>
	<label class="radio"><?php echo $form->radio('moderation', 2); echo T('admin and moderators'); ?></label>
</div>
</li>
<li>
<label><?php echo T('Bans'); ?></label>
<div class="checkboxGroup">
	<label class="radio"><?php echo $form->radio('ban', 1, array('checked' => 'checked') ); echo T('only admin'); ?></label>
	<label class="radio"><?php echo $form->radio('ban', 2); echo T('admin and moderators'); ?></label>
</div>
</li>

<li>
<label><?php echo T('Ban lenght '); ?></label>
<?php echo $form->input('banlenght', 'banlenght', array('title' => 'in hours (0 = forever, min 1h)' ) ); ?>
</li>
//-->
<li>
<label><?php echo T('banned users'); ?></label>
<?php echo $form->input('banned', 'textarea', array('style' => 'height:100px; width:350px')); ?>
<small>
<?php echo T('user id list, comma separated'); ?>
</small>
</li>
<!--
<?php echo T('user list, comma separated, 1 user per line'); ?>
<?php echo T('user id,user name,date time start,ban lenght'); ?>
<?php echo T('2,user name,2013-04-25,2'); ?>
<li>
<label><?php echo T('Sound'); ?></label>
<div class="checkboxGroup">
	<label class="radio"><?php echo $form->radio('sound', 0, array('checked' => 'checked') ); echo T('no sound'); ?></label>
	<label class="radio"><?php echo $form->radio('sound', 1); echo T('only if username mentioned in shout'); ?></label>
	<label class="radio"><?php echo $form->radio('sound', 2); echo T('every shout'); ?></label>
</div>
</li>

<li>
<label><?php echo T('Position'); ?></label>
<div class="checkboxGroup">
	<label class="radio"><?php echo $form->radio('position', 0, array('checked' => 'checked') ); echo T('bottom'); ?></label>
	<label class="radio"><?php echo $form->radio('position', 1); echo T('top'); ?></label>
	<label class="radio"><?php echo $form->radio('position', 2); echo T('flow'); ?></label>
</div>
</li>

<li>
<label><?php echo T('export as csv'); ?></label>
<?php echo $form->button('export', 'export'); ?>
</li>

<li>
<label><?php echo T('clean up'); ?></label>
<?php echo $form->button('clean', 'clean'); ?>
</li>
//-->

</ul>

</div>

<div class="buttons">
<?php echo $form->saveButton('abShoutBoxSave'); ?>
</div>

<?php echo $form->close(); ?>



